package com.kingdee.eas.custom.salarytemplate;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.HRBillBaseEntry;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.hr.base.IHRBillBaseEntry;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.eas.custom.salarytemplate.app.*;
import com.kingdee.bos.framework.*;

public class WagesChromatographyEntry extends HRBillBaseEntry implements IWagesChromatographyEntry
{
    public WagesChromatographyEntry()
    {
        super();
        registerInterface(IWagesChromatographyEntry.class, this);
    }
    public WagesChromatographyEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IWagesChromatographyEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("022F2DAA");
    }
    private WagesChromatographyEntryController getController() throws BOSException
    {
        return (WagesChromatographyEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public WagesChromatographyEntryInfo getWagesChromatographyEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getWagesChromatographyEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public WagesChromatographyEntryInfo getWagesChromatographyEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getWagesChromatographyEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public WagesChromatographyEntryInfo getWagesChromatographyEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getWagesChromatographyEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public WagesChromatographyEntryCollection getWagesChromatographyEntryCollection() throws BOSException
    {
        try {
            return getController().getWagesChromatographyEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public WagesChromatographyEntryCollection getWagesChromatographyEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getWagesChromatographyEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public WagesChromatographyEntryCollection getWagesChromatographyEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getWagesChromatographyEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}